import path_setting
from in_common.base_request import BaseRequest


class oneimage_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.ONEIMAGE_SHARE_V4_CONFIG)

    # 测颜值结果页
    def share_v4(self,version,face_id):
        self.params["version"] = version
        self.params["face_id"] = face_id

        return self.api_send(self.data["share_v4"])


if __name__ == '__main__':
    print(oneimage_request().share_v4("7.42.2",  "27320150"))